### Method

# EDataServer SourceLocal set_email_address

since: 3.40

#### Declaration [src]

    void
    e_source_local_set_email_address (
      ESourceLocal* extension,
      const gchar* email_address
    )

#### Description [src]

Sets the email address for `extension`.

The internal copy of `email_address` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.40

Sets property | `EDataServer.SourceLocal:email-address`

#### Parameters

`email_address`

  Type: `const gchar*`

  An email address, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.